> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledger.nxos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Balance for Account

> Gets the balance for a specific asset in an account



## OpenAPI

````yaml ledger-openapi get /v1/ledger/{ledger_key}/account/{account_key}/asset/{asset_code}/balance
openapi: 3.0.0
info:
  title: Ledger API
  version: 0.0.0
servers:
  - url: https://api.sandbox.nxos.io
    description: single server endpoint
    variables: {}
security: []
tags: []
paths:
  /v1/ledger/{ledger_key}/account/{account_key}/asset/{asset_code}/balance:
    get:
      summary: Get Balance for Specific Asset
      description: Gets the balance for a specific asset in an account
      operationId: Accounts_getBalance
      parameters:
        - $ref: '#/components/parameters/BasicAuthHeader'
        - $ref: '#/components/parameters/LedgerKey'
        - $ref: '#/components/parameters/AccountKey'
        - $ref: '#/components/parameters/AssetCode'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Balance'
components:
  parameters:
    BasicAuthHeader:
      name: Authorization
      in: header
      required: true
      description: |-
        The Basic Authentication header.
        Format: "Basic {base64(orgID:apiKey)}"
      schema:
        type: string
    LedgerKey:
      name: ledger_key
      in: path
      required: true
      description: |-
        The key of the ledger. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:ledger:customer_a"
      schema:
        type: string
    AccountKey:
      name: account_key
      in: path
      required: true
      description: |-
        The key of the account. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:internal:revenue:fx"
      schema:
        type: string
    AssetCode:
      name: asset_code
      in: path
      required: true
      description: |-
        The code of the asset.
        Examples:
        - "USD"        (US Dollar)
        - "EUR"        (Euro)
        - "AAPL"       (Apple Inc. stock)
        - "BTC"        (Bitcoin)
        - "USD/2"      (Custom USD variant)
        - "USD/4"      (Another USD variant)
        - "GOLD_OZ"    (Gold per ounce)
        - "LOYALTY_PTS" (Custom loyalty points)
      schema:
        type: string
  schemas:
    Balance:
      type: object
      required:
        - account_id
        - account_ref
        - asset_code
        - amount
      properties:
        account_id:
          type: string
          format: uuid
          description: The internally generated Id of the account (uuid)
        account_ref:
          type: string
          minLength: 1
          description: The account reference
        asset_code:
          type: string
          minLength: 1
          description: The asset reference
        amount:
          type: integer
          format: int64
          description: The balance of the account

````